<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Wed Sep 10 14:57:27 CEST 2014 -->
<title>FrameBuilder</title>
<meta name="date" content="2014-09-10">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FrameBuilder";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FrameBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html" title="class in org.java_websocket.framing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/framing/FrameBuilder.html" target="_top">Frames</a></li>
<li><a href="FrameBuilder.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket.framing</div>
<h2 title="Interface FrameBuilder" class="title">Interface FrameBuilder</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html" title="class in org.java_websocket.framing">CloseFrameBuilder</a>, <a href="../../../org/java_websocket/framing/FramedataImpl1.html" title="class in org.java_websocket.framing">FramedataImpl1</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">FrameBuilder</span>
extends <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.java_websocket.framing.Framedata">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.java_websocket.framing.<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></h3>
<code><a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FrameBuilder.html#setFin(boolean)">setFin</a></strong>(boolean&nbsp;fin)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FrameBuilder.html#setOptcode(org.java_websocket.framing.Framedata.Opcode)">setOptcode</a></strong>(<a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a>&nbsp;optcode)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FrameBuilder.html#setPayload(java.nio.ByteBuffer)">setPayload</a></strong>(java.nio.ByteBuffer&nbsp;payload)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/FrameBuilder.html#setTransferemasked(boolean)">setTransferemasked</a></strong>(boolean&nbsp;transferemasked)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.framing.Framedata">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.java_websocket.framing.<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></h3>
<code><a href="../../../org/java_websocket/framing/Framedata.html#append(org.java_websocket.framing.Framedata)">append</a>, <a href="../../../org/java_websocket/framing/Framedata.html#getOpcode()">getOpcode</a>, <a href="../../../org/java_websocket/framing/Framedata.html#getPayloadData()">getPayloadData</a>, <a href="../../../org/java_websocket/framing/Framedata.html#getTransfereMasked()">getTransfereMasked</a>, <a href="../../../org/java_websocket/framing/Framedata.html#isFin()">isFin</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setFin(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFin</h4>
<pre>void&nbsp;setFin(boolean&nbsp;fin)</pre>
</li>
</ul>
<a name="setOptcode(org.java_websocket.framing.Framedata.Opcode)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOptcode</h4>
<pre>void&nbsp;setOptcode(<a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a>&nbsp;optcode)</pre>
</li>
</ul>
<a name="setPayload(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPayload</h4>
<pre>void&nbsp;setPayload(java.nio.ByteBuffer&nbsp;payload)
                throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
<a name="setTransferemasked(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setTransferemasked</h4>
<pre>void&nbsp;setTransferemasked(boolean&nbsp;transferemasked)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FrameBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html" title="class in org.java_websocket.framing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/framing/FrameBuilder.html" target="_top">Frames</a></li>
<li><a href="FrameBuilder.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
